--- title: "Set IPv6" slug: "set-ipv6" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:37:28Z published: 2026-09-23T09:37:28Z canonical: "docs.trellix.com/set-ipv6" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Set IPv6 This URL does IPv6 Setting (Drop/Pass/Scan IPv6) on the specified Sensor. ## Resource URL POST /sensor//ipv6 ## Request Parameters URL Request Parameter: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor Id | Number | Yes | Payload Request Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | ipv6Mode | IPv6 Mode to be set. Can be "DROP_IPV_6_TRAFFICINLINE_ONLY", "PASS_IPV_6_TRAFFIC", "SCAN_IPV_6_TRAFFIC" | string | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | status | Status returned | Number | ## Example **Request** POST [https://%3CNSM_IP%3E/sdkapi/sensor/1001/ipv6](https://%3CNSM_IP%3E/sdkapi/sensor/1001/ipv6) Payload ``` { "ipv6Mode": "SCAN_IPV_6_TRAFFIC" } ``` **Response** ``` { "status":1 } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1106 | Invalid Sensor | | 2 | 500 | 1124 | The Sensor is inactive |